### Encoding: latin1

### Name: batchstat
### Title: Concatenating or calculating statistics on a 'pcrbatch'
### Aliases: batchstat
### Keywords: models nonlinear

### ** Examples

## create 3 'pcrbatch'es
## and concatenate
dat1 <- pcrbatch(reps, 2:5, l4)
dat2 <- pcrbatch(reps, 6:9, l4)
dat3 <- pcrbatch(reps, 10:13, l4)
batchstat(dat1, dat2, dat3)

## one 'pcrbatch' and doing 
## mean on replicates
## defined by 'group'
dat4 <- pcrbatch(reps, 2:9, l4)
GROUP <- c(1, 1, 1, 1, 2, 2, 2, 2)
batchstat(dat4, do = "stat", group = GROUP, statfun = mean)

## get the standard deviation 
batchstat(dat4, do = "stat", group = GROUP, statfun = sd)

## do stats on many 'pcrbatch'es
## All batches must have same length!
batchstat(dat1, dat2, dat3, do = "stat", 
          group = c(1, 1, 2, 2)) 



