### Name: curvemean
### Title: Building a model which averages a batch of qPCR curves
### Aliases: curvemean
### Keywords: models nonlinear

### ** Examples

## create arithmetic mean curve of four
## serial dilutions
ml <- modlist(reps, fluo = c(2, 6, 10, 14))
curvemean(ml, mean = "amean")

## effect of normalizing data to [0, 1]:
## more averaged datapoints
ml <- modlist(reps, fluo = c(2, 6, 10, 14), norm = TRUE)
curvemean(ml, mean = "amean")

## averaging the expression value
## (i.e. copy numbers)
## using efficiency = 2
curvemean(ml, mean = "cmean1")

## using averaged efficiencies from
## all curves at each cycle
curvemean(ml, mean = "cmean2")



