### Name: efficiency
### Title: Calculation of qPCR efficiency and several other important qPCR
###   parameters
### Aliases: efficiency
### Keywords: models nonlinear

### ** Examples

## Fitting initial model
m1 <-  pcrfit(reps, 1, 2, l4)
efficiency(m1)
 
## selection of best model
## using one cycle 'downstream'
## of second derivative max
m2 <- mselect(m1)
efficiency(m2, type = "cpD2", shift = -1)    

## using "maxE" method, with calculation of PCR efficiency
## 2 cycles 'upstream' from the cycle of max efficiency
efficiency(m2, type = "maxE", shift = 2)

## using the exponential region
efficiency(m2, type = "expR")

## using threshold cycle (i.e. 15.32) 
## from PCR software
efficiency(m2, type = 15.32)

## using Cy0 method from
## Guescini et al. (2008),
## add Cy0 tangent
efficiency(m2, type = "Cy0")
Cy0(m2, add = TRUE)

## using a defined fluorescence
## threshold value from PCR software
efficiency(m2, thresh = 1)
 
## using the first 30 cycles and a template amount
## (optical calibration)
m3 <-  pcrfit(reps[1:30, ], 1, 2, l5)
efficiency(m3, amount = 1E3)    



