### Name: predict.pcrfit
### Title: Value prediction from a fitted qPCR model
### Aliases: predict.pcrfit
### Keywords: models nonlinear

### ** Examples

m <- pcrfit(reps, 1, 2, l5)

## which raw fluorescence value at cycle number = 17?
predict(m, newdata = data.frame(Cycles = 17))

## cycle numbers 20:25, with 95% confidence?
predict(m, newdata = data.frame(Cycles = 20:25), interval = "confidence")

## which cycle at Fluo = 4, with 95% prediction?
predict(m, newdata = data.frame(Fluo = 4), which = "x", interval = "prediction")



